
aom_sounds.sound_tag = {}
local tag = aom_sounds.sound_tag

function aom_sounds.register_tag(tagname, volume)
    tag[tagname] = volume
end

function aom_sounds.tag(tagname, offset)
    return ((tag[tagname]) or 0) + (offset or 0)
end


aom_sounds.register_tag("footstep", 0.3)
aom_sounds.register_tag("ambient", 1)
aom_sounds.register_tag("music", 1)
